!  DLLTable3000.f90 

subroutine DLLTable3000 (table)

  ! Tabulated a Gaussian in 30000 points
  !
  !DEC$ ATTRIBUTES DLLEXPORT::DLLTable3000
  !DEC$ ATTRIBUTES STDCALL::DLLTable3000

  ! Variables

	real*8		table(30000)
    real*8		elen2,twopi,facp,dela,shift,fexpon
    integer*4	i

    elen2 = 0.6931472
	twopi = 6.2831853

	facp=twopi
	dela=12800./3.157
	facp=1./(SQRT(facp)*dela)
	shift=0.

	DO I=1,30000
	  fexpon=-elen2*(shift/dela)**2
	  table(i)=facp*EXP(fexpon)
	  shift=shift+1.
	END DO

	RETURN

end subroutine DLLTable3000
