	SUBROUTINE intens (sx,sy,sz,xl,yl,zl,perp,parl)
!
! @ W.R.Hagen 930926: intens contains the part common to all
! intensity calculating subroutines intnsN.
!
	COMPLEX*8 sx,sy,sz,ccsx,ccsy,ccsz,cparl,cperp
    REAL*8  xl, yl, zl, perp, parl

	ccsx =  CONJG (sx)
	ccsy =  CONJG (sy)
	ccsz =  CONJG (sz)

	cparl =         xl * xl  *  ccsx * sx
	cparl = cparl + yl * yl  *  ccsy * sy
	cparl = cparl + zl * zl  *  ccsz * sz
	cparl = cparl + xl * yl  * (ccsx * sy + ccsy * sx)
	cparl = cparl + xl * zl  * (ccsx * sz + ccsz * sx)
	cparl = cparl + yl * zl  * (ccsy * sz + ccsz * sy)

	cperp =         (1. - xl * xl) *  ccsx * sx
	cperp = cperp + (1. - yl * yl) *  ccsy * sy
	cperp = cperp + (1. - zl * zl) *  ccsz * sz
	cperp = cperp - xl * yl  * (ccsx * sy + ccsy * sx)
	cperp = cperp - xl * zl  * (ccsx * sz + ccsz * sx)
	cperp = cperp - yl * zl  * (ccsy * sz + ccsz * sy)

	perp =  REAL (cperp)
	perp =  perp / 2.
	perp =  ABS  ( perp)

	parl =  REAL (cparl)
	parl =  ABS  ( parl)

	RETURN
	END
!
!
!
! = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =